﻿@using DocumentFormat.OpenXml.Wordprocessing
@{
    ViewBag.Title = "Operation Impact";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>
<script src="~/Content/plugins/autoNumeric-1.9.18.js"></script>


<script type="text/javascript">

    var oTable;

    function validate() {
        var ms_catastrophic = parseInt($('#ms_catastrophic').val());
        var ms_major = parseInt($('#ms_major').val());
        var ms_moderate = parseInt($('#ms_moderate').val());
        var ms_minor = parseInt($('#ms_minor').val());
        var ssi_catastrophic = parseInt($('#ssi_catastrophic').val());
        var ssi_major = parseInt($('#ssi_major').val());
        var ssi_moderate = parseInt($('#ssi_moderate').val());
        var ssi_minor = parseInt($('#ssi_minor').val());
        var csi_catastrophic = parseInt($('#csi_catastrophic').val());
        var csi_major = parseInt($('#csi_major').val());
        var csi_moderate = parseInt($('#csi_moderate').val());
        var csi_minor = parseInt($('#csi_minor').val());
        var dod_catastrophic = parseInt($('#dod_catastrophic').val());
        var dod_major = parseInt($('#dod_major').val());
        var dod_moderate = parseInt($('#dod_moderate').val());
        var dod_minor = parseInt($('#dod_minor').val());
        var isSuccess = true;

        if (ms_catastrophic < ms_major || (ms_major < ms_moderate) || (ms_moderate < ms_minor)) {
            bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please make sure M/S value for catastrophic > major, major > moderate & moderate > minor ", function () {
                setTimeout(function () { }, 500);
            });
            isSuccess = false;
        } else if (ssi_catastrophic < ssi_major || ssi_major < ssi_moderate || ssi_moderate < ssi_minor) {
            bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please make sure SSI value for catastrophic > major, major > moderate & moderate > minor ", function () {
                setTimeout(function () { }, 500);
            });
            isSuccess = false;
        }else if (csi_catastrophic < csi_major || csi_major < csi_moderate || csi_moderate < csi_minor) {
            bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please make sure CSI value for catastrophic > major, major > moderate & moderate > minor ", function () {
                setTimeout(function () { }, 500);
            });
            isSuccess = false;
        }else if (dod_catastrophic < dod_major || dod_major < dod_moderate || dod_moderate < dod_minor) {
            bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please make sure Days of Operation Disruption value for catastrophic > major, major > moderate & moderate > minor ", function () {
                setTimeout(function () { }, 500);
            });
            isSuccess = false;
        }
        return isSuccess;
    }

    $(function () {
        $('#ms_catastrophic').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '100' });
        $('#ms_major').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '100' });
        $('#ms_moderate').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '100' });
        $('#ms_minor').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '100' });

        $('#ssi_catastrophic').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '100' });
        $('#ssi_major').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '100' });
        $('#ssi_moderate').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '100' });
        $('#ssi_minor').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '100' });

        $('#csi_catastrophic').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '100' });
        $('#csi_major').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '100' });
        $('#csi_moderate').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '100' });
        $('#csi_minor').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '100' });

        $('#dod_catastrophic').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '366' });
        $('#dod_major').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '366' });
        $('#dod_moderate').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '366' });
        $('#dod_minor').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '366' });

    });

    function loadOperationImpact() {
        var GetDetail = '@Url.Action("getOperationImpactDetail", "OperationImpact", new { rowid = @ViewBag.RowId })';
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("txtyear").value = GetDetail.year;
                    document.getElementById("hdid").value = GetDetail.id;
                    document.getElementById("comfinid").value = '@ViewBag.RowId';
                    document.getElementById("ms_catastrophic").value = GetDetail.ms_catastrophic;
                    document.getElementById("ms_major").value = GetDetail.ms_major;
                    document.getElementById("ms_moderate").value = GetDetail.ms_moderate;
                    document.getElementById("ms_minor").value = GetDetail.ms_minor;
                    document.getElementById("ssi_catastrophic").value = GetDetail.ssi_catastrophic;
                    document.getElementById("ssi_major").value = GetDetail.ssi_major;
                    document.getElementById("ssi_moderate").value = GetDetail.ssi_moderate;
                    document.getElementById("ssi_minor").value = GetDetail.ssi_minor;
                    document.getElementById("csi_catastrophic").value = GetDetail.csi_catastrophic;
                    document.getElementById("csi_major").value = GetDetail.csi_major;
                    document.getElementById("csi_moderate").value = GetDetail.csi_moderate;
                    document.getElementById("csi_minor").value = GetDetail.csi_minor;
                    document.getElementById("dod_catastrophic").value = GetDetail.dod_catastrophic;
                    document.getElementById("dod_major").value = GetDetail.dod_major;
                    document.getElementById("dod_moderate").value = GetDetail.dod_moderate;
                    document.getElementById("dod_minor").value = GetDetail.dod_minor;
                }
            },
            error: function () {

            }
        });
    }
    $(document).ready(function () {

        loadOperationImpact();

        $("#btnSave").click(function () {
            //validation
            if ($('#ms_major').val() == "" || $('#ms_moderate').val() == "" || $('#ms_minor').val() == ""
                || $('#ssi_major').val() == "" || $('#ssi_moderate').val() == "" || $('#ssi_minor').val() == ""
                || $('#csi_major').val() == "" || $('#csi_moderate').val() == "" || $('#csi_minor').val() == ""
                || $('#dod_catastrophic').val() == "" || $('#dod_major').val() == "" || $('#dod_moderate').val() == "" || $('#dod_minor').val() == ""
                || $('#txtyear').val().length == 0) {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill mandatory field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            } else if (validate())
            {
                //confirmation
                bootbox.confirm({
                    title: "<i class='fa fa-warning fa-2x'></i> Save Confirmation",
                    message: 'Are you sure you want to save this data. <br>If not, click Cancel',
                    buttons: {
                        'cancel': {
                            label: '<i class="fa fa-times"></i> Cancel',
                            className: 'btn-default pull-left'
                        },
                        'confirm': {
                            label: '<i class="fa fa-check"></i> Yes, Continue save',
                            className: 'btn-primary pull-right'
                        }
                    },
                    callback: function (result) {
                        if (result) {
                            var OperationImpactList = [
                                 {
                                     id: $('#hdid').val(),
                                     comfinid: $('#comfinid').val(),
                                     year: $('#txtyear').val(),
                                     ms_catastrophic: $('#ms_catastrophic').val(),
                                     ms_major: $('#ms_major').val(),
                                     ms_moderate: $('#ms_moderate').val(),
                                     ms_minor: $('#ms_minor').val(),
                                     ssi_catastrophic: $('#ssi_catastrophic').val(),
                                     ssi_major: $('#ssi_major').val(),
                                     ssi_moderate: $('#ssi_moderate').val(),
                                     ssi_minor: $('#ssi_minor').val(),
                                     csi_catastrophic: $('#csi_catastrophic').val(),
                                     csi_major: $('#csi_major').val(),
                                     csi_moderate: $('#csi_moderate').val(),
                                     csi_minor: $('#csi_minor').val(),
                                     dod_catastrophic: $('#dod_catastrophic').val(),
                                     dod_major: $('#dod_major').val(),
                                     dod_moderate: $('#dod_moderate').val(),
                                     dod_minor: $('#dod_minor').val()
                                 }
                            ];

                            OperationImpactList.push();

                            var formData = new FormData();
                            formData.append("OperationImpactList", JSON.stringify(OperationImpactList));


                            //Save Process
                            $.ajax({
                                type: "POST",
                                url: '@Url.Action("SaveOperationImpact", "OperationImpact")',
                                data: formData,
                                dataType: 'json',
                                contentType: false,
                                processData: false,
                                //beforeSend: function () {
                                //    //$("#loader").show();
                                //},
                                success: function (data) {
                                    bootbox.dialog({
                                        message: data.message,
                                        title: data.title,
                                        buttons: {
                                            main: {
                                                label: "<i class='fa fa-check'></i> Ok",
                                                className: "btn-primary",
                                                callback: function () {
                                                    if (result) {
                                                        if (data.status) {
                                                            window.location.href = '@Url.Action("OperationImpact", "OperationImpact")';
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    });
                                }
                            });

                        }
                    }
                });
            }


        });
    });


</script>

<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }
</style>

<input type="hidden" id="hdid" />
<input type="hidden" id="comfinid" />
<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Edit Operation Impact

        </div>
        <div class="panel-body">
            <!--Year-->
            <div class="row">
                <div class="col-sm-2 text-center"></div>
                <div class="col-sm-3"><label class="label-def-margin" for="txtyear">Year Company Financial Data</label></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="txtyear"></input></div>
            </div>
            <hr />
            <!--Title-->
            <div class="row">
                <div class="col-sm-2 text-center"></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Decrease of (by x%) <br/> M/S</label></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Decrease of (by x%) <br /> SSI<</label></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Decrease of (by x%) <br /> CSI<</label></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">(in x days) <br /> Days of Operation Disruption</label></div>
            </div>
            <!--Catastrophic-->
            <div class="row">
                <div class="col-sm-2 text-center"></div>
                <div class="col-sm-8 text-center alert alert-warning2" role="alert"><strong>Catastrophic</strong></div>
            </div>
            <div class="row">
                <div class="col-sm-2 text-center"></div>
                <div class="col-sm-2 k-middle-row"><input class="form-control text-center" id="ms_catastrophic"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" id="ssi_catastrophic"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" id="csi_catastrophic"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" id="dod_catastrophic"></input></div>
            </div>
            <!--Major-->
            <div class="row">
                <div class="col-sm-2 text-center"></div>
                <div class="col-sm-8 text-center alert alert-warning3" role="alert"><strong>Major</strong></div>
            </div>
            <div class="row">
                <div class="col-sm-2 text-center"></div>
                <div class="col-sm-2"><input class="form-control text-center" id="ms_major"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" id="ssi_major"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" id="csi_major"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" id="dod_major"></input></div>
            </div>
            <!--Moderate-->
            <div class="row">
                <div class="col-sm-2 text-center"></div>
                <div class="col-sm-8 text-center alert alert-warning4" role="alert"><strong>Moderate</strong></div>
            </div>
            <div class="row">
                <div class="col-sm-2 text-center"></div>
                <div class="col-sm-2"><input class="form-control text-center" id="ms_moderate"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" id="ssi_moderate"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" id="csi_moderate"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" id="dod_moderate"></input></div>
            </div>
            <!--Minor-->
            <div class="row">
                <div class="col-sm-2 text-center"></div>
                <div class="col-sm-8 text-center alert alert-warning5" role="alert"><strong>Minor</strong></div>
            </div>
            <div class="row">
                <div class="col-sm-2 text-center"></div>
                <div class="col-sm-2"><input class="form-control text-center" id="ms_minor"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" id="ssi_minor"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" id="csi_minor"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" id="dod_minor"></input></div>
            </div>
            <!--Insignificant-->
            <div class="row">
                <div class="col-sm-2 text-center"></div>
                <div class="col-sm-8 text-center alert alert-warning6" role="alert"><strong>Insignificant</strong></div>
            </div>
        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-12">
                    <button type="button" class="btn btn-primary" id="btnSave">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save
                    </button>
                    &nbsp;
                    <button type="button" class="btn btn-primary" id="btnPublish">
                        <span class="glyphicon glyphicon-share"></span> Publish
                    </button>
                    &nbsp;
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("OperationImpact", "OperationImpact") + "'");">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>



    </div>
</div>
